%global upname husl

Name: python-%{upname}
Version: 4.0.3
Release:    1%{?dist}
Summary: A Python implementation of HUSL
License: MIT

URL: http://github.com/boronine/pyhusl
Source0: https://pypi.python.org/packages/source/h/husl/husl-%{version}.tar.gz
Source1: https://raw.githubusercontent.com/husl-colors/husl-python/master/LICENSE.txt
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%global _description\
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)\
color space. This package provides Python2 support

%description %_description

%package -n python3-%{upname}
Summary: A Python implementation of HUSL
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description -n python3-%{upname}
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)
color space. This package provides Python3 support


%prep
%setup -q -n %{upname}-%{version}

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
cp -p %{SOURCE1} .
%py3_build

%install
%py3_install

%files -n python3-%{upname}
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/husl*
%{python3_sitelib}/__pycache__/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.3-1
- initial build
